TITLE1 ‘Chapter 21, Example 14.sas’;
TITLE2 ‘Regression and PROC SGPLOT’;
DATA one;
INPUT x y @@;
LABEL x = pH;
LABEL y = Biomass (kg);
CARDS;
4.5 23 4.9 41 4.9 40 4.8 38 4.8 34 4.8 37
5.1 47 5.2 52 5.2 50 5.3 58 5.4 61 5.5 68
RUN;
ODS GRAPHICS OFF;
PROC REG DATA = one;
MODEL y = x;
ODS OUTPUT ParameterEstimates=ParmEst FitStatistics=FitStat;
RUN;
DATA tempo;
SET ParmEst;
IF _n_ = 1 THEN CALL symput('Int', PUT(estimate, BEST6.));    
ELSE CALL symput('Slope', PUT(estimate, BEST6.));  
RUN;
DATA tempo2;
SET FitStat;
IF _n_ = 1 THEN CALL symput('R2', PUT(nValue2, BEST6.));
RUN;
ODS GRAPHICS ON / ATTRPRIORITY=none;
PROC SGPLOT DATA = one;
REG y=y x=x / CLM NOLEGFIT;
KEYLEGEND / NOBORDER POSITION=bottomright LOCATION=inside ACROSS=1;
INSET "Y = &Int + &Slope" "R2 = &R2" / POSITION =topleft;
RUN;